< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package zap
  Definition Classes
    hmrc
-  package config
  Definition Classes
    zap
- ZapConfiguration

c

uk.gov.hmrc.zap.config

# ZapConfiguration 

###

#### class ZapConfiguration extends AnyRef

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZapConfiguration
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ZapConfiguration(userConfig: Config)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def activeScan: Boolean
5.  def activeScanners: List[Scanner]
6.  def alertUrlsToReport: List[String]
7.  def alertsToIgnore: List[Config]
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
10.  def connectionTimeout: Int
11.  def contextBaseUrlRegex: String
12.  def customRiskConf: List[Config]
13.  def debugHealthCheck: Boolean
14.  def debugTearDown: Boolean
15.  def desiredTechnologyNames: String
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def failureThreshold: String
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def ignoreOptimizelyAlerts: Boolean
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  def passiveScanners: List[Scanner]
28.  def patienceConfigInterval: Int
29.  def patienceConfigTimeout: Int
30.  def routeToBeIgnoredFromContext: String
31.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
32.  def testUrl: String
33.  def testingAnApi: Boolean
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
38.  def zapBaseUrl: String
39.  lazy val zapConfig: Config

### Inherited from AnyRef

### Inherited from Any

### Ungrouped